Subject: RE: Draft of revised charter

From: Vishal Sharma <[email-masked]>
Date: Thu, 20 Jan 2000 15:45:46 -0500

Hi George,

I would like to suggest adding the following as a milestone:

Produce specifications for protocols and procedures that support
LSP recovery,

and suggest Aug. 00  as a possible target date. (The requirements
document for supporting LSP recovery is already being worked on with a
target date of March. I am hoping that other relevant documentation can
be revised and polished by Aug.)

Thanks,

-Vishal

On Wednesday, January 19, 2000 3:27 PM, [email-masked] 
[SMTP:[email-masked]] wrote:
> Folks,
>
> Attached is a draft of the revised MPLS charter.  The goals and
> milestones section is far from complete.  I've listed a few items
> where I know that there are people committed to doing the work.
> Please send ideas for further goals and other comments to the list.
>
> Thanks,
>
> George & Vijay
>
> ======================================================================
>
>
> Multiprotocol Label Switching (mpls) Charter
>
>
> Problem Statement:
>
> Label switching in conjunction with network layer routing has emerged
> as an important new technology.  It is actively being applied to
> applications such as traffic engineering and virtual private networks.
> Among the problems this technology is expected to address are the
> following:
>
> 1.  Greater flexibility in delivering routing services
>
> Using labels to identify particular traffic which are to receive
> special services, e.g. QoS.
>
> Using labels to provide forwarding along an explicit path different
> from the one constructed by destination-based forwarding.
>
> 2.  Scalability of network layer routing
>
> Using labels as a means to aggregate forwarding information, while
> working in the presence of routing hierarchies.
>
> 3.  Simplify integration of routers with cell switching based
> technologies
>
> a) making cell switches behave as peers to routers (thus reducing
> the number of routing peers that a  router has to maintain),
>
> b) by making information about physical topology available to
> Network Layer routing procedures, and
>
> c) by employing common addressing, routing, and management
> procedures.
>
> 4.  Simplify integration of routers with optical cross-connect based
> technologies
>
> a) making optical cross connects behave as peers to routers (thus
> reducing the number of routing peers that a router has to maintain),
>
> b) by making information about physical topology available to
> Network Layer routing procedures, and
>
> c) by employing common addressing, routing, and management
> procedures.
>
> High Level Requirements
>
> 1.  The solution should be general with respect to data link
> technologies. Specific optimizations for particular media will be
> considered.
>
> 2.  The solution must be compatible with existing internetwork
> technologies and routing protocols.
>
> 3.  The solution should support a wide range of forwarding
> granularities associated with a given label, from a single
> application flow to a group of topologically related destinations.
>
> 4.  The solution should support operations, administration, and
> maintenance facilities at least as extensive as those supported in
> IP networks.
>
> 5.  The solution should provide stable routing.  The protocols defined
> by MPLS must provide protocol mechanism(s) to either prevent the
> formation of loops and/or contain the amount of (networking) resources
> that could be consumed due to the presence of such loops.
>
> 6.  The solution should be very scalable.  Scalability issues will be
> considered and analyzed.
>
>
> Charter Statement:
>
> The working group is responsible for standardizing a base technology
> for using label switching in conjunction with network layer routing
> and for the implementation of that technology over various link level
> technologies, which may include Packet-over-Sonet, Frame Relay, ATM,
> Ethernet (all forms, such as Gigabit Ethernet, etc.), Token Ring,...
>
> This includes procedures and protocols for the distribution of labels
> between routers, encapsulations, multicast considerations, and the use
> of labels to support higher layer resource reservation and QoS
> mechanisms.
>
> The working group will also specify a control plane for optical cross
> connects.  In this environment specific wave lengths or Lambdas are
> used instead of labels.
>
>
> Objectives:
>
> 1.  Specify standard protocol(s) for maintenance and distribution of
> label binding information to support unicast destination-based
> routing.
>
> 2.  Specify standard protocol(s) for maintenance and distribution of
> label binding information to support multicast routing.
>
> 3.  Specify standard protocol(s) for maintenance and distribution of
> label binding information to support hierarchy of routing knowledge
> (e.g., complete segregation of intra and inter-domain routing).
>
> 4.  Specify standard protocol(s) for maintenance and distribution of
> label binding information to support explicit paths in support of
> applications such as Traffic Engineering.
>
> 5.  Specify standard protocols and procedures to support the fast
> recovery of Label Switched Paths.
>
> 6.  Specify extensions to the protocols and procedures used for
> signaling explicit routes and to effect fast recovery of LSPs
> for use in Optical Cross Connects.
>
> 7.  Specify standard procedures of carrying label information over
> various link level technologies including ATM.
>
> 8.  Define the use of Differentiated and Integrated Services in an MPLS
> environment.
>
> 9.  Specify standard protocols and procedures to support operations,
> administration, and maintenance facilities.
>
>
> Coordination:
>
> The working group will coordinate its activities with other working
> groups as appropriate.  For specific technologies, the WG will
> cooperate with the appropriate standards bodies such as OIF, ITU-T,
> ANSI, etc.
>
>
> Goals and Milestones:
>
> Mar 00 - Produce a document which defines support of Differentiated
>          Services (Diff-Serv) over Multi-Protocol Label Switching
>          (MPLS) networks (Standards Track).
>
> Aug 00 - Produce a document which defines operation with RSVP for
>          unicast destinations. (Standards Track).
>
> Dec 00 - Produce specifications for a MPLS control plane for optical
>          cross-connects (Standards Track).
>
>
>
>
>
>
>
>
>
>
>
>
>